package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PtmVo extends BaseEntity {
    //银行bic
    private String bic;

    //Internal Unique ID of Authentication Info of Communication Channel
    private String inr;

    //INR of Associated Party Address Association PTA
    private String ptainr;

    //Output Chanel SWT, LET, TLX, TCO
    private String cortyp;

    //Address of Message BIC, TID, i.e.
    private String coradr;

    //Authenticator Exchanged Flag
    private String autflg;

    //Optional Authentication Key Public Key
    private String autdet;

    //Version Counter
    private String ver;

    //Entity owning PTM entry
    private String etyextkey;

    private String ptyinr;

    // 地址编号
    private String adrextkey;

    private String cortypname;

    private String autflgname;

    public String getCortypname() {
        return cortypname;
    }

    public void setCortypname(String cortypname) {
        this.cortypname = cortypname;
    }

    public String getAutflgname() {
        return autflgname;
    }

    public void setAutflgname(String autflgname) {
        this.autflgname = autflgname;
    }

    public String getAdrextkey() {
        return adrextkey;
    }

    public void setAdrextkey(String adrextkey) {
        this.adrextkey = adrextkey;
    }

    public PtmVo() {
    }

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getPtainr() {
        return ptainr;
    }

    public void setPtainr(String ptainr) {
        this.ptainr = ptainr;
    }

    public String getCortyp() {
        return cortyp;
    }

    public void setCortyp(String cortyp) {
        this.cortyp = cortyp;
    }

    public String getCoradr() {
        return coradr;
    }

    public void setCoradr(String coradr) {
        this.coradr = coradr;
    }

    public String getAutflg() {
        return autflg;
    }

    public void setAutflg(String autflg) {
        this.autflg = autflg;
    }

    public String getAutdet() {
        return autdet;
    }

    public void setAutdet(String autdet) {
        this.autdet = autdet;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getEtyextkey() {
        return etyextkey;
    }

    public void setEtyextkey(String etyextkey) {
        this.etyextkey = etyextkey;
    }

    public String getBic() {
        return bic;
    }

    public void setBic(String bic) {
        this.bic = bic;
    }

    public String getPtyinr() {
        return ptyinr;
    }

    public void setPtyinr(String ptyinr) {
        this.ptyinr = ptyinr;
    }
}
